package com.ycgis.macall.personalcenter.m.requestbean;

import com.google.gson.Gson;

/**
 * created by:   Macall
 * create time:  2022/10/27 16:56
 * copyright:    @ruansee.com
 * Describe:
 */
public class BaseRequestModel<T> {
    private int code;
    private String msg;
    private int total;
//    private int counts;
    private T data;
    private T rows;


//    public int getCounts() {
//        return counts;
//    }
//
//    public void setCounts(int counts) {
//        this.counts = counts;
//    }


    public T getRows() {
        return rows;
    }

    public void setRows(T rows) {
        this.rows = rows;
    }

    public int getTotal() {
        return total;
    }

    public void setTotal(int totalCount) {
        this.total = totalCount;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }

    @Override
    public String toString() {
        return new Gson().toJson(this);
    }
}
